Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.basex.gui
Enum GUICommands

    java.lang.Object
      java.lang.Enum<GUICommands>
          org.basex.gui.GUICommands

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GUICommands>, GUICommand

    public enum GUICommands

extends java.lang.Enum<GUICommands>
implements GUICommand

This enumeration encapsulates all commands that are triggered by GUI operations.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Enum Constant Summary
`ABOUT` Shows the "about" information.
`CLOSE` Closes the database.
`COLOR` Color schema.
`COPY` Copies the currently marked nodes.
`COPYPATH` Copies the current path.
`CREATE` Opens a dialog to create a new database.
`DELETE` Deletes the currently marked nodes.
`DROP` Opens a dialog to drop databases.
`EDIT` Opens a dialog to edit the currently marked nodes.
`EXIT` Exits the application.
`EXPORT` Exports a document.
`FILTER` Filters the currently marked nodes.
`FONTS` Changes the fonts.
`FULL` Fullscreen mode.
`GOBACK` Goes one step back.
`GOFORWARD` Goes one step forward.
`GOUP` Goes one level up.
`HOME` Displays the root node in the text view.
`IMPORTFS` Opens a dialog to import the filesystem.
`INFO` Shows database info.
`INSERT` Inserts new nodes.
`MAPLAYOUT` Map layout.
`OPEN` Opens a dialog to open a database.
`PASTE` Pastes the copied nodes.
`PREFS` Shows a preference dialog.
`ROOT` Goes to the root node.
`RTEXEC` Realtime filtering on/off.
`RTFILTER` Realtime filtering on/off.
`SAVE` Saves the result text.
`SHOWBUTTONS` Shows the buttons.
`SHOWEXPLORER` Shows the explorer view.
`SHOWFOLDER` Shows the tree view.
`SHOWHELP` Shows the help window.
`SHOWINFO` Shows info.
`SHOWINPUT` Show Input Field.
`SHOWMAP` Shows the map.
`SHOWMENU` Shows the menu.
`SHOWPLOT` Shows the plot view.
`SHOWSTATUS` Shows the status bar.
`SHOWTABLE` Shows the table view.
`SHOWTEXT` Shows the text view.
`SHOWXQUERY` Shows the XQuery view.
`XQOPEN` Opens an XQuery file.
`XQSAVE` Saves the current XQuery.

Method Summary
`boolean` | `checked()` Returns if this command includes a menu checkbox.
`java.lang.String` | `desc()` Returns the command entry.
`abstract void` | `execute(GUI gui)` Executes the command.
`java.lang.String` | `help()` Returns the command help.
`java.lang.String` | `key()` Returns the command shortcut.
`void` | `refresh(GUI gui, javax.swing.AbstractButton button)` Enables or disables the specified button, depending on the command properties.
`static IO` | `save(GUI gui, boolean single)` Displays a file save dialog and returns the file name or a null reference.
`static GUICommands` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GUICommands[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CREATE

    public static final GUICommands CREATE

  Opens a dialog to create a new database.

### OPEN

    public static final GUICommands OPEN

  Opens a dialog to open a database.

### DROP

    public static final GUICommands DROP

  Opens a dialog to drop databases.

### CLOSE

    public static final GUICommands CLOSE

  Closes the database.

### XQOPEN

    public static final GUICommands XQOPEN

  Opens an XQuery file.

### XQSAVE

    public static final GUICommands XQSAVE

  Saves the current XQuery.

### IMPORTFS

    public static final GUICommands IMPORTFS

  Opens a dialog to import the filesystem.

### EXPORT

    public static final GUICommands EXPORT

  Exports a document.

### SAVE

    public static final GUICommands SAVE

  Saves the result text.

### EXIT

    public static final GUICommands EXIT

  Exits the application.

### COPY

    public static final GUICommands COPY

  Copies the currently marked nodes.

### COPYPATH

    public static final GUICommands COPYPATH

  Copies the current path.

### PASTE

    public static final GUICommands PASTE

  Pastes the copied nodes.

### DELETE

    public static final GUICommands DELETE

  Deletes the currently marked nodes.

### INSERT

    public static final GUICommands INSERT

  Inserts new nodes.

### EDIT

    public static final GUICommands EDIT

  Opens a dialog to edit the currently marked nodes.

### FILTER

    public static final GUICommands FILTER

  Filters the currently marked nodes.

### SHOWXQUERY

    public static final GUICommands SHOWXQUERY

  Shows the XQuery view.

### SHOWINFO

    public static final GUICommands SHOWINFO

  Shows info.

### SHOWMENU

    public static final GUICommands SHOWMENU

  Shows the menu.

### SHOWBUTTONS

    public static final GUICommands SHOWBUTTONS

  Shows the buttons.

### SHOWINPUT

    public static final GUICommands SHOWINPUT

  Show Input Field.

### SHOWSTATUS

    public static final GUICommands SHOWSTATUS

  Shows the status bar.

### SHOWTEXT

    public static final GUICommands SHOWTEXT

  Shows the text view.

### SHOWMAP

    public static final GUICommands SHOWMAP

  Shows the map.

### SHOWFOLDER

    public static final GUICommands SHOWFOLDER

  Shows the tree view.

### SHOWTABLE

    public static final GUICommands SHOWTABLE

  Shows the table view.

### SHOWPLOT

    public static final GUICommands SHOWPLOT

  Shows the plot view.

### SHOWEXPLORER

    public static final GUICommands SHOWEXPLORER

  Shows the explorer view.

### FULL

    public static final GUICommands FULL

  Fullscreen mode.

### RTEXEC

    public static final GUICommands RTEXEC

  Realtime filtering on/off.

### RTFILTER

    public static final GUICommands RTFILTER

  Realtime filtering on/off.

### COLOR

    public static final GUICommands COLOR

  Color schema.

### FONTS

    public static final GUICommands FONTS

  Changes the fonts.

### MAPLAYOUT

    public static final GUICommands MAPLAYOUT

  Map layout.

### PREFS

    public static final GUICommands PREFS

  Shows a preference dialog.

### SHOWHELP

    public static final GUICommands SHOWHELP

  Shows the help window.

### INFO

    public static final GUICommands INFO

  Shows database info.

### ABOUT

    public static final GUICommands ABOUT

  Shows the "about" information.

### GOBACK

    public static final GUICommands GOBACK

  Goes one step back.

### GOFORWARD

    public static final GUICommands GOFORWARD

  Goes one step forward.

### GOUP

    public static final GUICommands GOUP

  Goes one level up.

### ROOT

    public static final GUICommands ROOT

  Goes to the root node.

### HOME

    public static final GUICommands HOME

  Displays the root node in the text view.

Method Detail

### values

    public static GUICommands[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (GUICommands c : GUICommands.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static GUICommands valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### execute

    public abstract void execute(GUI gui)

  Description copied from interface: `GUICommand`
  Executes the command.

  Specified by:
    `execute` in interface `GUICommand`
  Parameters:
    `gui` - reference to the main window

### refresh

    public void refresh(GUI gui,
                        javax.swing.AbstractButton button)

  Description copied from interface: `GUICommand`
  Enables or disables the specified button, depending on the command properties.

  Specified by:
    `refresh` in interface `GUICommand`
  Parameters:
    `gui` - reference to the main window
    `button` - button to be modified

### checked

    public boolean checked()

  Description copied from interface: `GUICommand`
  Returns if this command includes a menu checkbox.

  Specified by:
    `checked` in interface `GUICommand`
  Returns:
    result of check

### help

    public java.lang.String help()

  Description copied from interface: `GUICommand`
  Returns the command help.

  Specified by:
    `help` in interface `GUICommand`
  Returns:
    command help

### desc

    public java.lang.String desc()

  Description copied from interface: `GUICommand`
  Returns the command entry.

  Specified by:
    `desc` in interface `GUICommand`
  Returns:
    command entry

### key

    public java.lang.String key()

  Description copied from interface: `GUICommand`
  Returns the command shortcut.

  Specified by:
    `key` in interface `GUICommand`
  Returns:
    command shortcut

### save

    public static IO save(GUI gui,
                          boolean single)

  Displays a file save dialog and returns the file name or a null reference.

  Parameters:
    `gui` - gui reference
    `single` - file vs directory dialog
  Returns:
    io reference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD